import UIKit

let kScreenWidth = UIScreen.main.bounds.size.width
let kScreenHeight = UIScreen.main.bounds.size.height

class ViewController: UIViewController {
    
    private var urlTextField: UITextField = {
        let tf = UITextField()
        tf.frame = CGRect(x: 20, y: 100, width: kScreenWidth - 40, height: 40)
        tf.placeholder = "请输入网址"
        tf.borderStyle = .roundedRect
        tf.autocapitalizationType = .none
        tf.autocorrectionType = .no
        tf.keyboardType = .URL
        tf.text = "https://dev1-im.useasy.cn/?channelId=hZC9c2LzYhrBfnbC&userPermission=true&vconsole=debug"
        return tf
    }()
    
    private var startBtn: UIButton = {
        let b = UIButton(type: .system)
        b.frame = CGRect(x: (kScreenWidth - 130) * 0.5, y: 160, width: 130, height: 45)
        b.backgroundColor = UIColor.lightGray
        b.setTitle("开始", for: .normal)
        b.setTitleColor(.black, for: .normal)
        return b
    }()

    override func viewDidLoad() {
        super.viewDidLoad()
        title = "首页"
        setupUI()
        bindAction()
    }
    
    private func setupUI() {
        view.addSubview(urlTextField)
        view.addSubview(startBtn)
    }
    
    private func bindAction() {
        startBtn.addTarget(self, action: #selector(startAction), for: .touchUpInside)
    }
    
    @objc private func startAction() {
        guard let url = urlTextField.text, !url.isEmpty else { return }
        let vc = JJWebChatViewController()
        vc.currentUrl = url
        navigationController?.pushViewController(vc, animated: true)
    }
}

